(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react'), require('@reach/dialog'), require('@reach/visually-hidden')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react', '@reach/dialog', '@reach/visually-hidden'], factory) :
  (factory((global['react-netlify-identity-widget'] = {}),global.React,global.dialog,global.VisuallyHidden));
}(this, (function (exports,React,dialog,VisuallyHidden) { 'use strict';

  React = React && React.hasOwnProperty('default') ? React['default'] : React;
  VisuallyHidden = VisuallyHidden && VisuallyHidden.hasOwnProperty('default') ? VisuallyHidden['default'] : VisuallyHidden;

  function Modal({ showDialog, onCloseDialog }) {
      return (React.createElement(dialog.DialogOverlay, { isOpen: showDialog },
          React.createElement(dialog.DialogContent, { style: {
                  border: "solid 5px hsla(0, 0%, 0%, 0.5)",
                  borderRadius: "10px"
              } },
              React.createElement("p", null, "I have a nice border now."),
              React.createElement("p", null,
                  "Note that we could have used the simpler ",
                  React.createElement("code", null, "Dialog"),
                  " instead."),
              React.createElement("button", { className: "close-button", onClick: onCloseDialog },
                  React.createElement(VisuallyHidden, null, "Close"),
                  React.createElement("span", { "aria-hidden": true }, "\u00D7")))));
  }

  exports.Modal = Modal;

})));
//# sourceMappingURL=reactNetlifyIdentityWidget.umd.development.js.map
